<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:mvc="http://www.springframework.org/schema/mvc"
       xsi:schemaLocation="
       http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc.xsd
       http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
       http://www.springframework.org/schema/context https://www.springframework.org/schema/context/spring-context.xsd">

    <!--  开启扫包  -->
    <context:component-scan base-package="com.lovecoding.mvc" ></context:component-scan>

<!--  这个bin对象实现的方案是 如果前端控制器 查找不到 匹配的 mapping  -->
<!--  就把这个 请求 转给 Tomcat 默认的 Servlet 去执行   -->

<!--  <mvc:default-servlet-handler ></mvc:default-servlet-handler>-->

<bean id="multipartResolver" class="org.springframework.web.multipart.commons.CommonsMultipartResolver">
    <property name="maxUploadSize" value="88888888" ></property>
</bean>

</beans>